Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235592 - freenx implicitly requires openssh-server, which has been started at least once
Summary: freenx implicitly requires openssh-server, which has been started at least once
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freenx-server
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 17:09 UTC by Denise Dumas
Modified: 2009-08-10 21:52 UTC (History)
1 user (show)

Fixed In Version: 0.7.3-15.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-10 21:40:34 UTC


Attachments (Terms of Use)

Description Florian La Roche 2007-04-07 17:09:49 UTC
Description of problem:


ERROR: Output running post install script for package freenx-0:0.5.0-5.fc6.i386
PRNG is not seeded
mv: cannot stat `/etc/nxserver/local.id_dsa': No such file or directory
mv: cannot stat `/etc/nxserver/local.id_dsa.pub': No such file or directory
cp: cannot stat `/etc/nxserver/client.id_dsa.key': No such file or directory
cp: cannot stat `/etc/nxserver/server.id_dsa.pub.key': No such file or directory
chmod: cannot access `/etc/nxserver/client.id_dsa.key': No such file or directory
chmod: cannot access `/etc/nxserver/server.id_dsa.pub.key': No such file or
directory
chmod: cannot access `/var/lib/nxserver/home/.ssh/client.id_dsa.key': No such
file or directory
chmod: cannot access `/var/lib/nxserver/home/.ssh/server.id_dsa.pub.key': No
such file or directory
cat: /var/lib/nxserver/home/.ssh/server.id_dsa.pub.key: No such file or directory
cat: /etc/ssh/ssh_host_rsa_key.pub: No such file or directory




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Axel Thimm 2007-05-23 10:39:07 UTC
This is a collective bugzilla comment for nx/freenx bugs.

New versions of nx and freenx have entered the repos. Please check if the bug
report is still valid with the new versions (freenx-0.6.0-12 and nx-2.1.0-21).

Comment 2 Florian La Roche 2007-06-21 14:48:45 UTC
Installing Fedora-devel with a minimal rpm set, this output is happening:

[113/113] Install: freenx-0:0.6.0-12.fc7.i386
ERROR: Output running post install script for package freenx-0:0.6.0-12.fc7.i386
cat: /etc/ssh/ssh_host_rsa_key.pub: No such file or directory



Comment 3 Axel Thimm 2007-12-31 11:20:41 UTC
This bug has been addressed in the latest freenx build in rawhide (0.7.1-4.fc9):

- Apply Jeffrey J. Kosowsky's patches to enable multimedia and
  file/print sharing support (Fedora bug #216802).
- Silence %%post output, when openssh's server has never been started
  before (Fedora bug #235592).
- Add dependency on which (Fedora bug #250343).

Please test whether the reported bug is fixed, so it can be backpackaged to F8
and F7, thank you!

 (the build will soon show up in rawhide, or use
  http://koji.fedoraproject.org/koji/buildinfo?buildID=29532, if you want to get
  there earlier)


Comment 4 Florian La Roche 2008-01-30 10:14:32 UTC
I'll need some more days until I can run these tests again.

Already thanks for the patch,

Florian La Roche


Comment 6 Axel Thimm 2008-04-10 15:47:59 UTC
(In reply to comment #4)
> I'll need some more days until I can run these tests again.

Did you run the tests? Should I close as fixed?


Comment 7 Axel Thimm 2008-04-24 08:37:52 UTC
freenx has been split into freenx-server and freenx-client. Most open bugs for
freenx addressed parts of the current freenx-server package. See also bug #438660.

freenx-server is currently in testing repos. Please give it a try as it will
soon replace the freenx package.

Comment 8 Bug Zapper 2008-05-14 02:44:57 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-06-09 22:32:20 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 16:51:34 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Fedora Update System 2009-07-25 23:11:16 UTC
freenx-server-0.7.3-14.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-14.fc10

Comment 12 Fedora Update System 2009-07-25 23:11:59 UTC
freenx-server-0.7.3-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-14.fc11

Comment 13 Fedora Update System 2009-07-27 21:30:17 UTC
freenx-server-0.7.3-14.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8023

Comment 14 Fedora Update System 2009-07-27 21:31:12 UTC
freenx-server-0.7.3-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8022

Comment 15 Fedora Update System 2009-08-01 23:54:09 UTC
freenx-server-0.7.3-15.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8022

Comment 16 Fedora Update System 2009-08-01 23:58:01 UTC
freenx-server-0.7.3-15.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8023

Comment 17 Fedora Update System 2009-08-10 21:39:53 UTC
freenx-server-0.7.3-15.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-08-10 21:52:16 UTC
freenx-server-0.7.3-15.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.